Skip to main content
`Ctrl`+`K`

# common_neighbors

common_neighbors(G, u, v)

  Returns the common neighbors of two nodes in a graph.

  Parameters:
    G graph

      A NetworkX undirected graph.

    u, v nodes

      Nodes in the graph.

  Returns:
    cnbors set

      Set of common neighbors of u and v in the graph.

  Raises:
    NetworkXError

      If u or v is not a node in the graph.

  Examples

      >>> G = nx.complete_graph(5)
      >>> sorted(nx.common_neighbors(G, 0, 1))
      [2, 3, 4]